Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_put_strings

## Name

librdf_hash_put_strings -- Insert key/value pairs into the hash as strings

## Synopsis

``int `librdf_hash_put_strings`` (librdf_hash* `hash`, const char * `key`, const char * `value`);`

## Arguments

`hash`

  hash object

`key`

  key

`value`

  value

## Description

The key and values are copied into the hash, no sharing i s done.

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_hash_get_as_long | Up | Hash Cursor Implementation Class